db2_connect
db2_escape_string
IBM DB2 Functions
PHP Manual

# db2_cursor_type

Returns the cursor type used by a statement resource

### Description

int db2_cursor_type ( resource `$stmt` )

Returns the cursor type used by a statement resource. Use this to determine if you are working with a forward-only cursor or scrollable cursor.

### Parameters

`stmt`

  A valid statement resource.

### Return Values

Returns either DB2_FORWARD_ONLY if the statement resource uses a forward-only cursor or DB2_SCROLLABLE if the statement resource uses a scrollable cursor.

### See Also

- db2_prepare